const { actions, roles } = await import("./constants.js");

const permissions = new Map();

permissions.set(actions.MODIFY_BLOG, [roles.ADMIN, roles.EDITOR]);
permissions.set(actions.VIEW_BLOG, [roles.ADMIN, roles.EDITOR, roles.GUEST]);
permissions.set(actions.DELETE_BLOG, [roles.ADMIN]);

export {permissions}