//const utilitiesFunctions = require("./utilitiesFunctions-Brajesh");
const { utilitiesFunctions } = await import("./utilitiesFunctions-Brajesh.mjs");

async function resolveFunction(
  functionName,
  functionParameters,
  functionNamspace = utilitiesFunctions
) {
  const keys = Object.keys(functionParameters);
  const length = keys.length;
  let params = [];
  for (const key in functionParameters) {
    params.push(functionParameters[key]);
  }
  switch (length) {
    case 0:
      return await functionNamspace[functionName]();
      break;
    case 1:
      return await functionNamspace[functionName](params[0]);
      break;
    case 2:
      return await functionNamspace[functionName](params[0], params[1]);
      break;
    case 3:
      return await functionNamspace[functionName](
        params[0],
        params[1],
        params[2]
      );
      break;
  }
}
export { resolveFunction };

// module.exports =resolveFunction
