const config2 = {
	title: "qrSe",
	ver: "0-0-1",
	dataSet: {
	  envType: ["Node.js"], //['client-ext',server-appScript]
	  defaultListner: [
	    {
	      targetObject: "window",
	      allowedEvent: ["click"],
	    },
	  ],
	  command: ["add", "cleardata"],
	},
	reqSchema: {
	  //fetchSchema flow
	  fetchSchema: {
	    service: "http",
	    method: "fetchData",
	    argument: ["target", "href"],
	    //e.target.href
	  },
	  //renderReq flow
	  renderReq: {
	    service: "rendering",
	    method: "updateView",
	    argument: ["reqObject.responseid", "strdata"],
	  },
      
	  //Signup
	  signup: {
	    event: {
	      eventType: ["click"],
	    },
	    request: {
	      validator: ["isArray", "isNotEmpty"],
	      action: ["renderReq", "setLocalStorage"],
	    },
	    response: {
	      validator: ["isArray", "isNotEmpty"],
	      action: ["getLocalStorage", "renderRes"],
	    },
	  },
	  //navigateSchema flow
	  navigate: {
	    event: {
	      eventType: ["click"],
	    },
	    request: {
	      validator: ["isArray", "isNotEmpty"],
	      action: ["fetchSchema"],
	    },
	    response: {
	      validator: ["isArray", "isNotEmpty"],
	      action: [
		"jsontoHTML",
		{
		  updateAll: {
		    updatePath: ["reqObject.data"],
		    updateView: ["reqObject.responseid", "strdata"],
		  },
		},
	      ],
	    },
	  },
	},
	//
      };
      export {config2}