var TaskSchema = {
  schemaName: "Task",
  model: {
    taskName: {
      type: "String",
      validator: ["isString"],
    },
    owner: {
      type: "String",
      validator: ["isString"],
    },
    category: {
      type: "String",
      validator: ["isString"],
    },
    status: {
      type: "String",
    },
  },
  resource: {
    database: "mongodb",
    collection: "Task",
  },
  allowedMethods: ["GET", "POST"],
  allowedActions: ["Create", "Update", "Get", "Delete"],
};

export { TaskSchema };
