/*<input type="button">
<input type="checkbox">
<input type="color">
<input type="date">
<input type="datetime-local">
<input type="email">
<input type="file">
<input type="hidden">
<input type="image">
<input type="month">
<input type="number">
<input type="password">
<input type="radio">
<input type="range">
<input type="reset">
<input type="search">
<input type="submit">
<input type="tel">
<input type="text">
<input type="time">
<input type="url">
<input type="week">

 */
const UserSchema = {
	schemaName: "User",
	model: {
		nameLabel:{
			category:"LABEL",//must
			textContent:"First Name",
			attributes:{//must
				for:"fname"
			}
		},
		name: {
			category: "INPUT", //must
			attributes: {
			  placeholder: "Name",
			  name: "fname",
			  id: "fname",
			  type: "text",
			},
			validator: ["isString", "isNotEmpty"],
		      },
		      fnameBr:{
			category:"BR",
			attributes:{},

		      },
		      emailLabel:{
			category:"LABEL",//must
			textContent:"Email-Id",
			attributes:{//must
				for:"email"
			}
		},
		      email: {
			category: "INPUT", //must
			attributes: {
			  placeholder: "email-id",
			  name: "email",
			  id: "email",
			  type: "email",
			},
			validator: ["isString", "isNotEmpty"],
		      },
		      emailBr:{
			category:"BR",
			attributes:{},

		      },
		      LastNameLabel:{
			category:"LABEL",//must
			textContent:"Last Name",
			attributes:{//must
				for:"Lastname"
			}
		},
		      LastName: {
			category: "INPUT", //must
			attributes: {
			  placeholder: "Last-Name",
			  name: "Lastname",
			  id: "Lastname",
			  type: "text",
			},
			validator: ["isString", "isNotEmpty"],
		      },
		      lnameBr:{
			category:"BR",
			attributes:{},

		      },
		      PasswordLabel:{
			category:"LABEL",//must
			textContent:"Password",
			attributes:{//must
				for:"password"
			}
		},
		      password: {
			category: "INPUT", //must
			attributes: {
			  placeholder: "Password",
			  name: "Password",
			  id: "Password",
			  type: "password",
			},
			validator: ["isString", "isNotEmpty"],
		      },
	},
	resource: {
	  database: "mongodb",
	  collection: "User",
	},
	action: {
	  login: {
	    id: `email`,
	    password: [`password`, `md5`],
	  },
	  register: {
	    hash: [`password`, `md5`],
	  },
	},
	allowedMethods: ["GET", "POST"],
	allowedActions: ["Login", "Register", "ShowMe"],
	filterData: {
	  ShowMe: "password",
	  Login: "password",
	},
      };
      