//to be part of operate class.
function isIterable(value) {
	return Symbol.iterator in Object(value);
      }
      //to be part of operate class.If we want we can merge entity and operate class.
      // To return the type of inputed data
      function resolveDataType(data) {
	try {
	  if (typeof data === "string") return "string";
	  else if (typeof data === "number") return "number";
	  else if (Array.isArray(data) && isIterable(data)) return "array";
	  else if (data instanceof HTMLCollection) return "array";
	  else if (!Array.isArray(data) && typeof data === "object") return "object";
	} catch (error) {
	  if (!Array.isArray(data) && typeof data === "object") return "object";
	}
      }
      
      export class Validator {
	static ValidateEmail(mail) {
	  return /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(
	    myForm.emailAddr.value
	  );
	}
	static isNotEmpty(value) {
	  return value != null || typeof value != "undefined";
	}
	static isValidPassword(data) {
	  var passw = /^[A-Za-z]\w{7,14}$/;
	  return data.value.match(passw);
	}
	static isUrl(str) {
	  var pattern = new RegExp(
	    "^(https?:\\/\\/)?" + // protocol
	      "((([a-z\\d]([a-z\\d-]*[a-z\\d])*)\\.)+[a-z]{2,}|" + // domain name
	      "((\\d{1,3}\\.){3}\\d{1,3}))" + // OR ip (v4) address
	      "(\\:\\d+)?(\\/[-a-z\\d%_.~+]*)*" + // port and path
	      "(\\?[;&a-z\\d%_.~+=-]*)?" + // query string
	      "(\\#[-a-z\\d_]*)?$",
	    "i"
	  ); // fragment locator
	  return !!pattern.test(str);
	}
	static isPhoneNumber(data) {
	  return data.match(/\d/g).length === 10;
	}
	static isObjectId(data) {
	  return data.match(/^[0-9a-fA-F]{24}$/);
	}
	static isInt(data) {
	  return Number.isInteger(data);
	}
	static isNumber(data) {
	  return Number.parseFloat(data).toString() !== "NaN";
	}
	static isString(data) {
	  return typeof data === "string" ? true : false;
	}
	static isDate(value) {
	  return value instanceof Date;
	}
	static isValidJSONString(str) {
	  try {
	    JSON.parse(str);
	  } catch (e) {
	    return false;
	  }
	  return true;
	}
	static isObjectArray_(argA) {
	  for (var i = 0; i < argA.length; i++) {
	    if (Operate.isObject(argA[i])) {
	      return true;
	    }
	  }
	  return false;
	}
	static isAlphaNumeric(str) {
	  var code, i, len;
      
	  for (i = 0, len = str.length; i < len; i++) {
	    code = str.charCodeAt(i);
	    if (
	      !(code > 47 && code < 58) && // numeric (0-9)
	      !(code > 64 && code < 91) && // upper alpha (A-Z)
	      !(code > 96 && code < 123)
	    ) {
	      // lower alpha (a-z)
	      return false;
	    }
	  }
	  return true;
	}
	static isNegative(x) {
	  return x < 0;
	}
	static isEven(argA) {
	  return numbers.every(function (e) {
	    return e % 2 == 0;
	  });
	}
	static isOdd(argA) {
	  return numbers.every(function (e) {
	    return Math.abs(e % 2) == 1;
	  });
	}
	static isArray(value) {
	  return (
	    value &&
	    Array.isArray(value) &&
	    typeof value === "object" &&
	    value.constructor === Array
	  );
	}
	static isUseless(value) {
	  return value === null || typeof value === "undefined";
	}
	static isFunction(input) {
	  if (this.isUseless(input)) return false;
	  return typeof input === "function";
	}
	static isBoolean(value) {
	  return typeof value === "boolean";
	}
	//Returns if a value is a regexp
	static isRegExp(value) {
	  return value && typeof value === "object" && value.constructor === RegExp;
	}
	static isDate(value) {
	  return value instanceof Date;
	}
	// Returns if a Symbol
	static isSymbol(value) {
	  return typeof value === "symbol";
	}
	static escapeString(str) {
	  var es = [
	    ["\\", "\\\\"],
	    ['"', '\\"'],
	    ["'", "\\'"],
	    ["\b", "\\b"],
	    ["\f", "\\f"],
	    ["\n", "\\n"],
	    ["\r", "\\r"],
	    ["\t", "\\t"],
	    ["\v", "\\v"],
	  ];
	  for (var i = 0; i < es.length; i++)
	    str = str.replaceAll(es[i][0], es[i][1]);
	  return str;
	}
      }